VWSとは フォーラム Lightning [ 解決済 ] VK Blocks Outer 背景色透過設定スライダについて

[ 解決済 ] VK Blocks Outer 背景色透過設定スライダについて

このトピックには4件の返信が含まれ、2人の参加者がいます。6 ヶ月前 arcaim さんが最後の更新を行いました。

5件の投稿を表示中 - 1 - 5件目 (全5件中)
  • 投稿者
    投稿
  • #15378

    arcaim
    参加者

    いつもお世話になっております。

    WordPress 5.1.1 その他、最新プラグインで運用しています。

    「CTAが自由なレイアウトで入力できるようになりました。」に沿って、作業を進めたところ、VK Blocks の Outer で背景色の透過設定スライダが、0または1にしかできず困っています。
    ブラウザはChrome最新版とEdgeで試しました。また、ChromeのF12コンソールで

    <input class="components-range-control__slider" id="inspector-range-control-115" type="range" min="0" max="1" step="0.1" value="0">

    のvalue=”0″を手動で0.5にしてみようとしましたができませんでした。

    どのような点をチェックすべきでしょうか?
    ご教示いただけると幸いです。

    宜しくお願い致します。

    #15391

    arcaim
    参加者

    続報です。

    VK Blocks のパラメータ設定にある他のスライダは動作しました。
    VK Blocksを再インストールしましたが、改善されませんでした。

    引き続き宜しくお願いします。

    #15392

    kurudrive
    キーマスター

    おかしいですね…先程手元の Windows Chrome で確認した限りは問題なく動きました。

    弊社以外のブロック拡張系のプラグインを使っていますか?
    使っているようでしたら一度停止してみてください。

    あと、運営しているサイトは一つだけですか?
    もし複数運用している場合は他のサイトで症状が出るか確認してみてください。

    #15400

    arcaim
    参加者

    ご助言ありがとうございます。
    複数運営している他のサイトをチェックしたところ問題なく動作しました。
    見比べましたところ、スライダが動かないサイトは、「Gutenberg」が有効化されていました。
    停止・削除しましたところ、ビジュアルエディタでブロックにマウスオーバーすると以下のエラーが出ました。

    TypeError: Cannot read property 'tadv/classic-paragraph' of undefined
        at zn (https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:45280)
        at https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:46071
        at Array.map (<anonymous>)
        at https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:45906
        at u (https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:12:3427)
        at https://www.kusuri.net/wp-includes/js/dist/data.min.js?ver=4.2.1:1:6379
        at https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:270190
        at n (https://www.kusuri.net/wp-includes/js/dist/data.min.js?ver=4.2.1:1:13036)
        at new r (https://www.kusuri.net/wp-includes/js/dist/data.min.js?ver=4.2.1:1:13298)
        at zf (https://www.kusuri.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:69:258)

    その他、エディタに関係ありそうな「Classic Editor」「TinyMCE Advanced」を停止しましたが、改善されませんでした。
    全てのプラグインを停止しても、エディタでエラーがでましたので、ワードプレスが壊れたのかもしれません。
    プラグインを再開したところ動作不良になったので、UpdraftPlus – Backup/Restore で復元しました。

    引き続き復旧を試みますが取り急ぎ、VK Blocksの不具合では無いことが確認できましたのでご報告差し上げます。

    #15496

    arcaim
    参加者

    いつもお世話になっております。

    Gutenberg バージョン 5.3.0 にバージョンアップしたところ、スライダが動作し問題が解決しました。

    ただ、Gutenbergを停止し、Wordpressのブロックエディタを利用するとエディタの入力画面にマウスオーバーすると以下のエラーが発生します。

    エディターで予期しないエラーが発生しました。「復旧を試みる」「投稿内容をコピー」「エラー文をコピ」

    エラー文には以下の記載があります。

    TypeError: Cannot read property 'vk-blocks/spacer' of undefined
        at zn (https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:45280)
        at https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:46071
        at Array.map (<anonymous>)
        at https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:45906
        at u (https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:12:3427)
        at https://www.kusuri.net/wp-includes/js/dist/data.min.js?ver=4.2.1:1:6379
        at https://www.kusuri.net/wp-includes/js/dist/editor.min.js?ver=9.0.11:55:109194
        at n (https://www.kusuri.net/wp-includes/js/dist/data.min.js?ver=4.2.1:1:13036)
        at new r (https://www.kusuri.net/wp-includes/js/dist/data.min.js?ver=4.2.1:1:13298)
        at zf (https://www.kusuri.net/wp-includes/js/dist/vendor/react-dom.min.js?ver=16.6.3:69:258)

    Gutenbergを有効化すると問題ないのですが、Wordpressに標準のブロックエディタが搭載されたようなのでGutenbergをプラグインで動かすのが少しすっきりしないなーと感じた次第です。
    もし解決策をご存知の方がいらっしゃったらアドバイスをいただけると嬉しいです。

    掲題と異なるコメントにつき、別トピックが適している場合はご指摘ください。
    宜しくお願い致します。

5件の投稿を表示中 - 1 - 5件目 (全5件中)

このトピックに返信するにはログインが必要です。